require 'fog/core/model'
require 'fog/dns/models/dnsimple/records'

module Fog
  module DNS
    class DNSimple

      class Zone < Fog::Model

        identity :id

        attribute :domain,     :aliases => 'name'
        attribute :created_at
        attribute :updated_at

        def destroy
          connection.delete_domain(identity)
          true
        end

        def records
          @records ||= begin
            Fog::DNS::DNSimple::Records.new(
              :zone       => self,
              :connection => connection
            )
          end
        end

        def nameservers
          [
           "ns1.dnsimple.com",
           "ns2.dnsimple.com",
           "ns3.dnsimple.com",
           "ns4.dnsimple.com",
          ]
        end

        def save
          requires :domain
          data = connection.create_domain(domain).body["domain"]
          merge_attributes(data)
          true
        end

      end

    end
  end
end
